Issue 121751 - crash after undo language change
crash after undo language change
Status: VERIFIED FIXED
Product: Writer
Classification: Application
Component: editing
3.4.1
PC Windows XP
: P3 major (vote)
: 4.0.0
Assigned To: Oliver-Rainer Wittmann
mj95148
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-11 09:52 UTC by m.koot
Modified: 2013-07-17 10:21 UTC (History)
6 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation on: 3.4.1
Developer Difficulty: ---
jsc: 4.0.0_release_blocker+


Attachments
Stacktrace of the crash (4.09 KB, text/plain)
2013-06-18 09:06 UTC, Andre
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description m.koot 2013-02-11 09:52:17 UTC
Openoffice Writer.

Reproduce by:
1. Add a frame to a new document.
2. Change language to English (US) for all text
3. Undo the change.
Crash.

Happens on both Openoffice v3.3.0 and v3.4.1
Comment 1 m.koot 2013-02-11 12:38:47 UTC
note: to change the language for all text some text needs to be there. Just a few words will do.
Comment 2 Rob Weir 2013-02-11 22:56:00 UTC
I assume your starting point is a different language for the document?  What language?  Dutch?
Comment 3 m.koot 2013-02-12 08:10:11 UTC
(In reply to comment #2)
> I assume your starting point is a different language for the document?  What
> language?  Dutch?

Yes, but it doesn't really matter. English to Dutch to English (by undoing) shows the same behaviour. 
N.B. the text doesn't need to be within the frame. Just in the document. There is no crash unless there is a frame though, so to reproduce make a frame anywhere in the document.
Comment 4 DanielAlvaro 2013-02-23 22:36:26 UTC
Hello, 
I don't think  this is a problem, I checked in AOO and MS and also happens that.
Comment 5 mj95148 2013-04-26 16:50:46 UTC
Tried the following
Windows 7 - OO 3.4.1
Open OO
Select Text Document
Verify Default Language - USA English
    Type text - 'Good Morning'
    Insert Frame
Tools - Language - For All Text - More - Select Dutch Belgium
    Type text in frame - 'Good Morning'
Tools - Language - For All Text - More - Select USA English
Now press CTRL Z
OO crashes
Comment 6 Andre 2013-06-18 09:06:16 UTC
Created attachment 80878 [details]
Stacktrace of the crash

Reproduced the crash on Windows7 (switching from English to German and back...or not).  Stack trace is attached.
Comment 7 Oliver-Rainer Wittmann 2013-06-21 09:04:01 UTC
working on a fix
Comment 8 jsc 2013-06-24 12:17:00 UTC
set showstopper flag
Comment 9 Oliver-Rainer Wittmann 2013-06-26 11:19:08 UTC
defect cause:
The Undo resp. Redo action of changing for all text does not restore the current cursor respectively the current selection. The selection needed to undo/redo this change is only an internal one which is currently not supported at the user interface. On the visualization of this internal selection the office crashes.
Comment 10 SVN Robot 2013-06-26 12:15:55 UTC
"orw" committed SVN revision 1496901 into trunk:
121751: - restore cursor/selection on Undo/Redo language change for all text
Comment 11 Oliver-Rainer Wittmann 2013-06-26 12:49:10 UTC
fixed on trunk for AOO 4.0
Comment 12 fanyuzhen 2013-07-17 10:21:48 UTC
I do not see the crash in RC, Rev. 1502185